U++ - Feature #126
Improve "import directory tree"
10/14/2011 07:01 AM - Miroslav Fidler
Category: IDE Estimated time: 0.00 hour
Description

http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=6249&#38;start=0x%x%

History

#1 - 10/14/2011 07:05 AM - Miroslav Fidler
- Category set to IDE

#2 - 10/19/2011 10:28 AM - Sender Ghost
- File uppsrc.patch added

- Status changed from New to Patch ready
- % Done changed from 0 to 100

| created a patch for this feature, which adds "Preserve directories" option to "Special -> Import directory tree sources.." dialog.

#3 - 10/19/2011 10:53 AM - Sender Ghost
- File deleted (uppsrc.patch)

#4 - 10/19/2011 10:55 AM - Sender Ghost
- File uppsrc.diff added

More correct patch version.

#5 - 10/21/2011 06:54 PM - Sender Ghost
- File uppsrc2.diff added
- Assignee set to Miroslav Fidler

| did following changes for second version of the patch:
- Refactored previous changes.
- Changed "Preserve directories" to "Including tree structure" option name.
- Added meaningful text for error messages.

- Used the same API between Dolmport and DolmportTree functions, with some wrappers around them.

#6 - 11/04/2011 10:25 AM - Miroslav Fidler
- Priority changed from Normal to Urgent

#7 - 11/07/2011 07:51 PM - Miroslav Fidler
- Assignee changed from Miroslav Fidler to Sender Ghost
http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=6249&#38;start=0x%x

Why is there #ifdef PLATFORM_WIN32

uppsrc/ide/UppWspc.cpp 508

#ifndef PLATFORM_WIN32
Sort(files);
Sort(dirs);

#endif

now?

#8 - 11/07/2011 10:47 PM - Sender Ghost

Why is there #ifdef PLATFORM_WIN32 now?
Because on Windows (with NTFS file system, in my case) the files and directories sorted by their order (case insensitive).
But for PLATFORM_LINUX, PLATFORM_BSD, etc. this is needed, because of unsorted inodes.

If you want identical results on all platforms, this defines could be removed.

#9 - 11/07/2011 10:50 PM - Sender Ghost
- Assignee changed from Sender Ghost to Miroslav Fidler

#10 - 11/08/2011 09:30 AM - Sender Ghost
- File deleted (uppsrc2.diff)

#11 - 11/08/2011 09:35 AM - Sender Ghost
- File 126_uppsrc2.diff added

Ok, | think, this is much better version.

Directories and files are sorted by GetLanguagelnfo.

#12 - 11/08/2011 09:49 AM - Sender Ghost

This will lead to following results for uppsrc/CppBase import:
Before:

Base.cpp
CppBase.h
Parser.cpp
Pre.cpp
Qualify.cpp
Scopefo.cpp
cpplex.cpp

After:
/redmine/projects/upp/repository/revisions/51/entry/examples/CompDir/main.cpp#L157
/redmine/projects/upp/repository/show/trunk/uppsrc/CppBase

Base.cpp
CppBase.h
cpplex.cpp
Parser.cpp
Pre.cpp
Qualify.cpp
Scopefo.cpp

At least, on Windows operating system.

#13 - 11/09/2011 09:26 PM - Miroslav Fidler
- Status changed from Patch ready to Approved

...no, Languagelnfo IMO is not a good choice, we are dealing here with C/C++ sources, not some armenian novel...

Changed to stricmp..

Files

uppsrc.diff 3.82 KB 10/19/2011 Sender Ghost
126_uppsrc2.diff 5.17 KB 11/08/2011 Sender Ghost
